Writes
Delete a note
Query agent_id and optional expect_version_id. Idempotency-Key required. Receipt, not 204. Tombstones rather than hard-delete.
DELETE
/
v1
/
notes
/
{note}
Delete a note
curl --request DELETE \
--url https://api.elanotes.com/v1/notes/{note} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.elanotes.com/v1/notes/{note}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.elanotes.com/v1/notes/{note}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pending_id": "<string>",
"slug": "<string>",
"status": "applied",
"committed_seq": 0,
"content_hash": "<string>",
"flow_back_error": "<string>",
"links_failed": [
{
"reason": "<string>",
"slug": "<string>"
}
],
"links_updated": 0,
"note": {
"content_hash": "<string>",
"note_id": "<string>",
"observed_at": "<string>",
"slug": "<string>",
"status": "<string>",
"title": "<string>",
"version_id": "<string>",
"visibility": "<string>"
},
"note_id": "<string>",
"renamed": true,
"unchanged": true,
"version_id": "<string>"
}{
"details": [
{
"@type": "<string>"
}
],
"error": "<string>",
"help": "<string>",
"hint": "<string>",
"message": "<string>",
"reason": "<string>",
"requestId": "<string>",
"statusCode": 0
}{
"details": [
{
"@type": "<string>"
}
],
"error": "<string>",
"help": "<string>",
"hint": "<string>",
"message": "<string>",
"reason": "<string>",
"requestId": "<string>",
"statusCode": 0
}{
"details": [
{
"@type": "<string>"
}
],
"error": "<string>",
"help": "<string>",
"hint": "<string>",
"message": "<string>",
"reason": "<string>",
"requestId": "<string>",
"statusCode": 0
}{
"details": [
{
"@type": "<string>"
}
],
"error": "<string>",
"help": "<string>",
"hint": "<string>",
"message": "<string>",
"reason": "<string>",
"requestId": "<string>",
"statusCode": 0
}{
"details": [
{
"@type": "<string>"
}
],
"error": "<string>",
"help": "<string>",
"hint": "<string>",
"message": "<string>",
"reason": "<string>",
"requestId": "<string>",
"statusCode": 0
}Authorizations
Static bearer, WorkOS JWT, or open local when AUTH_REQUIRED is off and no static tokens are set. The token selects the vault; paths do not include vault_id.
Path Parameters
Minimum string length:
1Query Parameters
Required string length:
1 - 100Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Default Response
Available options:
applied, queued Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Show child attributes
Show child attributes
⌘I
Delete a note

